Remittance API
Sends a remittance (fund transfer) request from the merchant server to the Hecto Financial server.
API Information
POST/v2/api/pay/rmt
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v2/api/pay/rmt운영
https://npay.settlebank.co.kr/v2/api/pay/rmtRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
*No Korean characters
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Unique customer ID or key provided by the merchant.Unique customer ID or key provided by the merchant.
└trdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date.
Transaction date.
*yyyyMMdd
└trdTmAN(6)Alphanumeric, up to 6 bytes*Transaction time.
Transaction time.
*HH24MISS
└bankCdAN(3)Alphanumeric, up to 3 bytes*Deposit bank code.
Deposit bank code.
*Refer to the financial institution code table
└custAcntNoAN(15)Alphanumeric, up to 15 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Deposit bank account number.Deposit bank account number.
*Account number excluding "-"
└custAcntSumryAN(14)Alphanumeric, up to 14 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Deposit bank statement description.Deposit bank statement description.
*Text that will appear on the customer's bank statement. Full-width characters (7 characters)
└remitterNmAN(14)Alphanumeric, up to 14 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Remitter's legal name (required for Kookmin Bank remittance; full-width characters, up to 7 characters).Remitter's legal name (required for Kookmin Bank remittance; full-width characters, up to 7 characters).
└directYnA(1)Alphabetic, up to 1 bytesDirect bank contract status.
Direct bank contract status.
N: Resale (default) Y: Direct contract└macntBankCdN(3)Numeric, up to 3 bytesMaster account bank code.
Master account bank code.
*Refer to financial institution code table (for direct bank contract). Required when directYn is Y.
└macntNoAN(15)Alphanumeric, up to 15 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Master account deposit account number.Master account deposit account number.
*Master account number excluding "-" (for direct bank contract). Required when directYn is Y.
└macntSumryAN(6)Alphanumeric, up to 6 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Master account bank statement description.Master account bank statement description.
*Text that will appear on the master account statement (for direct bank contract). Full-width characters (6 characters). Required when directYn is Y.
└scrtCardValAN(6)Alphanumeric, up to 6 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Security code number.Security code number.
*Security card number derived for direct contract SC bank
└firmPktNoN(6)Numeric, up to 6 bytesFirm banking packet number.
Firm banking packet number.
└macntPwdAN(4)Alphanumeric, up to 4 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Master account password.Master account password.
*Optional depending on bank-specific contract terms (required for MG community credit cooperatives)
└trdAmtN(13)Numeric, up to 13 bytes*Transaction amount.
Transaction amount.
*Amount to transfer. Maximum 1 billion KRW.
└mchtCustBankCdN(3)Numeric, up to 3 bytesCustomer account bank code.
Customer account bank code.
*Bank code of the customer initiating the remittance. Required when using Open Banking. Refer to financial institution code table.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
*The customer device's IP address, not the merchant server IP
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + order number + transaction date + transaction time + deposit bank code + deposit account number (plaintext) + transaction amount + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + order number + transaction date + transaction time + deposit bank code + deposit account number (plaintext) + transaction amount + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table. ST08: If the account is already enrolled, the enrolled account information is returned.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID20210830080000Merchant order number.
*No Korean characters
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction reference number.
STFP_FIRM1233444365430698Hecto Financial transaction reference number.
└trdAmtN(13)Numeric, up to 13 bytes*Transfer amount.
1000Transfer amount.
└svcDivCdN(4)Numeric, up to 4 bytes*Service used for the remittance.
Service used for the remittance.
1: Firm banking 2: Open BankingRequest Example
{
"hdInfo": "SPAY_AR0W_1.0",
"mchtId": "midtest",
"mchtTrdNo": "OID2021083012345",
"mchtCustId": "AES-encrypted customer ID",
"trdDt": "20191231",
"trdTm": "120000",
"bankCd": "004",
"custAcntNo": "AES-encrypted account number",
"custAcntSumry": "AES-encrypted bank statement description",
"directYn": "N",
"trdAmt": "1000",
"custIp": "127.0.0.1",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"mchtTrdNo": "OID20210830080000",
"trdNo": "STFP_FIRM1233444365430698",
"trdAmt": "1000",
"svcDivCd": "2"
}
Need technical support?
Code Samples
HectoFinancial GitHub